/* Public Style */
*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html{
    scroll-behavior: smooth;
}

body{
    font-family: Arial, Helvetica, sans-serif;
}

/* Start Nav */

nav{
    display: flex;
    justify-content: space-between;
    box-shadow: 0px 0px 10px rgba(0,0,0,0.2);
    padding: 10px 20px;
    position: sticky;
    top: 0;
    /* z-index: 1; */
    background-color: #fff;
}

.nav-left,
.nav-middle,
.nav-right{
    display: flex;
    align-items: center;
}

.nav-left img{
    width: 150px;
    margin-left: 20px;
}

.nav-right img{
    width: 50px;
    border-radius: 50%;
    margin: 0 30px;
}

.nav-left i,
.nav-right i,
.nav-right .more-icon,
.nav-middle .mic-icon,
.nav-middle > .search-icon{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    /* border: 1px solid red; */
    font-size: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s;
}

.nav-right .more-icon{
    margin: 0 20px;
    position: relative;
}

.more-icon::before,
.more-icon::after{
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    content: "\f58d";
    width: 100%;
    height: 100%;
    padding: 5px;
    position: absolute;
    left: 8px;
}

.more-icon::before{top: 10px;}

.more-icon::after{bottom: -10px;}

.nav-left i:Hover,
.nav-right i:hover,
.nav-right .more-icon:hover,
.nav-middle .mic-icon:hover,
.nav-middle > .search-icon:hover{
    background-color: #DDD;
    cursor: pointer;
}

.nav-middle .search-box{
    border: 1px solid #ccc;
    margin-right: 15px;
    padding: 10px 15px;
    border-radius: 25px;
}

.nav-middle .search-box input{
    width: 400px;
    font-size: 20px;
    border: none;
    outline: none;
    background-color: transparent;
}

.nav-middle .search-icon{
    font-size: 15px;
    margin-right: 15px;
    color: #aaa;
    cursor: pointer;
}

.nav-middle > .search-icon{
    font-size: 25px;
    margin-right: 25px;
    display: none;
}

.nav-middle .search-box .keyboard-icon{
    font-size: 15px;
    color: #999;
    cursor: pointer;
}

.nav-middle .search-box .keyboard-icon:hover{
    color: #000;
}

.nav-middle .mic-icon{
    background-color: #efefef;
}

@media (max-width: 1120px) {
    .nav-middle .search-box{
        display: none;
    }
    .nav-middle > .search-icon{
        display: flex;
    }
}

@media (max-width: 767px){
    .nav-left i,
    .nav-right i,
    .nav-right .more-icon,
    .nav-middle .mic-icon,
    .nav-middle > .search-icon{
        width: 30px;
        height: 30px;
        font-size: 16px;
    }

    .nav-left img{
        width: 70px;
        margin-left: 0px;
    }
    
    .nav-right img{
        width: 30px;
        margin: 0 10px;
    }

    .side-bar{
        display: none;
    }
}

@media (max-width: 550px) {
    .nav-right i, .nav-right .more-icon{
        display: none;
    }
    .nav-middle .mic-icon{
        display: none;
    }
    .nav-middle > .search-icon{
        display: none;
    }
    .nav-middle .search-box{
        display: block;
    }
    .nav-middle .search-box input{
        width: 100px;
        font-size: 16px;
    }
    .nav-middle .search-box i{
        display: none;
    }
}

/* End Nav */

/* Start Sidebar  */

.side-bar{
    /* width: 15%; */
    height: 100vh;
    padding: 0 20px;
    text-align: center;
    position: fixed;
    border: 1px solid #ccc;
    border-top: none;
    background-color: #fff;
}

.side-bar .shortcut-links a{
    margin: 15px 0;
    text-decoration: none;
    color: #000;
    display: flex;
    justify-content: stretch;
    align-items: center;
    margin-bottom: 20px;
}

.small-side .shortcut-links a{
    justify-content: center;
}

.side-bar .shortcut-links a i{
    font-size: 25px;
    color: #555;
    padding: 10px;
    transition: 0.3s;
}

.side-bar .shortcut-links a:hover i{
    color: #000;
}

.small-side{
    width: 8%;
}

.small-side .shortcut-links a p{
    display: none;
}

/* End Sidebar  */

/* Start Main Section */

main{
    /* background-color: #eee; */
    margin: 20px 2% 20px 200px;
}

.container{
    margin: 20px 2% 20px 10%;
}

main .banner{
    width: 100%;
}

main .banner img{
    width: 100%;
    /* border-radius: 10px; */
}

main .list-container{
    display: grid;
    grid-template-columns: repeat(auto-fit , minmax(250px , 1fr));
    gap: 20px;
    margin-top: 20px;
}

.list-container .vid-list .thumbnail{
    width: 100%;
    border-radius: 5%;
}

.list-container .vid-list .content{
    display: flex;
    align-items: flex-start;
    /* justify-content: center; */
    margin-top: 10px;
}

.vid-list .content img{
    width: 50px;
    border-radius: 50%;
}

.vid-list .content .vid-info{
    padding: 10px;
}

.vid-info{
    color: #5a5a5a;
    font-size: 13px;
}

.vid-info a{
    display: block;
    text-decoration: none;
    color: #000;
    font-weight: 600;
    margin-bottom: 5px;
}

.vid-info .channel-name{
    margin: 10px 0;
}

/* End Main Section */

/* ------------------------- Start Play Video Page ------------------------- */

.play-container{
    margin: 20px 30px;
    /* border: 1px solid red; */
}

.play-container .row{
    width: 100%;
    display: flex;
    gap: 30px;
}

@media (max-width: 767px) {
    .play-container .row{
        flex-wrap: wrap;
    }
}

.play-video{
    flex: 70%;
}

.play-video video{
    width: 100%;
}

.play-video .tags{
    color: #00f;
    font-size: 12px;
    margin-top: 10px;
}

.play-video .title{
    font-size: 24px;
    margin-top: 20px;
}

.play-video .play-video-info{
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    color: #999;
    margin-top: 10px;
}

@media (max-width: 767px) {
    .play-video .play-video-info{
        flex-wrap: wrap;
        gap: 20px;
    }
}

.play-video .play-video-info a{
    display: inline-block;
    text-decoration: none;
    color: #999;
    margin: 0 20px;
}

.play-video .play-video-info a i{
    font-size: 20px;
}

.play-video hr{
    margin: 20px 0;
    border: 1px solid #ccc;
}

.play-video .publisher{
    display: flex;
    align-items: center;
}

.play-video .publisher img{
    width: 60px;
    border-radius: 50%;
    margin-right: 20px;
}

.play-video .publisher .profile{
    flex: 1;
}

.publisher .profile p{
    font-weight: 600;
    margin-bottom: 10px;
}

.publisher .profile span{
    font-size: 12px;
    color: #999;
}

.publisher button{
    border: none;
    outline: none;
    background-color: #f00;
    color: #fff;
    font-size: 20px;
    padding: 10px 30px;
    border-radius: 5px;
    cursor: pointer;
}

@media (max-width: 500px) {
    .play-video .publisher{
        flex-wrap: wrap;
    }
    .publisher button{
        margin: 20px 0 0 20px;
    }
}

.vid-description{
    margin: 30px 55px;
    color: #555;
    font-size: 16px;
    line-height: 1.6;
}

.add-comment{
    display: flex;
    align-items: center;
    margin: 30px 0;
}

.add-comment img{
    width: 50px;
    border-radius: 50%;
    margin-right: 20px;
}

.add-comment input{
    flex: 1;
    padding: 10px;
    font-size: 16px;
    border: none;
    border-bottom: 1px solid #ccc;
    outline: none;
}

.old-comments{
    margin: 50px 0 30px 30px;
}

.old-comments .comment{
    display: flex;
    align-items: center;
    margin-top: 20px;
}

.old-comments .comment h3{
    font-size: 16px;
    margin-bottom: 10px;
}

.old-comments .comment h3 span{
    display: inline-block;
    font-size: 12px;
    font-weight: normal;
    color: #999;
    margin-left: 10px;
}

.old-comments img{
    width: 50px;
    border-radius: 50%;
    margin-right: 20px;
}

.old-comments .comment-actions{
    display: flex;
    align-items: center;
    margin: 10px 0;
}

.old-comments .comment-actions a{
    display: inline-block;
    text-decoration: none;
    color: #999;
    margin-right: 15px;
}

.right-side{
    flex: 30%;
}

.side-video-list{
    display: flex;
    justify-content: space-between;
    gap: 10px;
    margin-bottom: 10px;
}

.side-video-list img{
    width: 100%;
}

/* ------------------------- End Play Video Page ------------------------- */